Get an organization
curl --request GET \
--url https://api.arize.com/v2/organizations/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/organizations/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "T3JnYW5pemF0aW9uOjE6YUJjRA==",
"name": "Agent Engineering Team",
"description": "Organization for the Agent Engineering team",
"created_at": "2024-01-01T12:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Organizations
Get an organization
Get a specific organization by its ID.
This endpoint is in beta, read more here.
GET
/
v2
/
organizations
/
{org_id}
Get an organization
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique organization identifier (base64) A universally unique identifier (base64-encoded opaque string).
Example:
"RW50aXR5OjEyMzQ1"
Response
An organization object
An organization is a top-level container within an account for grouping spaces and managing access control. Organizations enable team separation with role-based access control at the organization level.
Was this page helpful?